
#import <Cocoa/Cocoa.h>
#import <AddressBook/AddressBook.h>


@interface ContactFieldDelegate : NSObject {
	
	NSDictionary *currentPersonDictionary;
}

#pragma mark -
#pragma mark NSTokenField Delegate Methods
- (id)tokenField:(NSTokenField *)tokenField
representedObjectForEditingString:(NSString *)editingString;
- (NSString *)tokenField:(NSTokenField *)tokenField displayStringForRepresentedObject:(id)representedObject;
- (NSArray *)tokenField:(NSTokenField *)tokenField
completionsForSubstring:(NSString *)substring
		   indexOfToken:(int)tokenIndexs
	indexOfSelectedItem:(int *)selectedIndex;
- (BOOL)tokenField:(NSTokenField *)tokenField
hasMenuForRepresentedObject:(id)representedObject;
- (NSMenu *)tokenField:(NSTokenField *)tokenField
menuForRepresentedObject:(id)representedObject;

- (id)findPersonInAddressBook:(NSString *)name;

#pragma mark -
#pragma mark Menu Functions
- (IBAction)openInAddressBook:(id)sender;
- (IBAction)openFacebookProfile:(id)sender;
- (IBAction)sendFacebookMessage:(id)sender;
- (IBAction)sendEmail:(id)sender;

@end
