//
//  DebugWindow.h
//  Assignment Planner
//
//  Created by Logan Rockmore on 9/21/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface DebugWindow : NSWindowController {
	
	IBOutlet NSTextField *applicationLabel;
	
	IBOutlet NSWindow *sendConfigurationSheet;
	IBOutlet NSTextView *sendConfigurationComments;
	
	IBOutlet NSButton *sendConfigurationSendButton;
	IBOutlet NSButton *sendConfigurationCancelButton;
	
	IBOutlet NSProgressIndicator *sendConfigurationProgressIndicator;
	IBOutlet NSTextField *sendConfigurationSendingLabel;
}

- (id)init;
+ (DebugWindow *)sharedController;

- (void)showDebugWindow;
- (IBAction)close:(id)sender;
- (IBAction)quit:(id)sender;

#pragma mark Delete
- (IBAction)deletePreferences:(id)sender;
- (void)deletePreferences:(NSAlert *)alert
			   returnCode:(int)returnCode
			  contextInfo:(void *)contextInfo;

- (IBAction)deleteData:(id)sender;
- (void)deleteData:(NSAlert *)alert
		returnCode:(int)returnCode
	   contextInfo:(void *)contextInfo;

#pragma mark Send
- (IBAction)showSendConfigurationDialog:(id)sender;
- (IBAction)closeSendConfigurationWindow:(id)sender;
- (IBAction)sendConfiguration:(id)sender;
- (void)sendConfigurationEmail;

@end
